//
//  2016/04/27, Copyright (c) 2016 Takashi Inoue
//  Button Group OverLapping Class Header
//  ver 0.9 rev 0.1 2016/5/17
//-----------------------------------------------------------

#ifndef F746_BUTTON_GROUP_OL_HPP
#define F746_BUTTON_GROUP_OL_HPP

#include "GuiBase.hpp"
#include "Button.hpp"
#include "ButtonGroup.hpp"
#include "GUIconst.hpp"

using namespace Mikami;

namespace TakaIno
{
class ButtonGroupOL : public ButtonGroup
{
public:
    // Constructor
    ButtonGroupOL(uint16_t x0 = GUI_BTN_X_POS, uint16_t y0 = GUI_BTN_Y_POS,
                  uint16_t width = GUI_BTN_WIDTH, uint16_t height = GUI_BTN_HIGHT,
                  uint16_t number = GUI_NUMBER_BUTTONS, const string str[] = GUI_BTN_STR1,
                  uint16_t spaceX = GUI_BTN_X_SPACE  , uint16_t spaceY = GUI_BTN_Y_SPACE,
                  uint16_t column = GUI_BTN_COLUMN,
                  int touched = GUI_FIRST_BTN_NUM,   // number for button initially touched-color
                  sFONT &fonts = Font16,
                  uint32_t textColor = LCD_COLOR_BLACK,//         = GuiBase::ENUM_TEXT,
                  uint32_t backColor = LCD_COLOR_DARKCYAN,//         = GuiBase::ENUM_BACK,
                  uint32_t createdColor = LCD_COLOR_WHITE,//      = GuiBase::ENUM_CREATED,
                  uint32_t touchedColor = LCD_COLOR_CYAN,//      = GuiBase::ENUM_TOUCHED,
                  uint32_t inactiveColor = LCD_COLOR_DARKGREEN,//     = GuiBase::ENUM_INACTIVE,
                  uint32_t inactiveTextColor = LCD_COLOR_DARKRED// = GuiBase::ENUM_INACTIVE_TEXT
                 );
 
    // Destructor
    ~ButtonGroupOL();

        //menber variable for member initializer
       protected:
                  uint16_t m_x0;
                  uint16_t m_y0;
                  uint16_t m_width;
                  uint16_t m_height;
                  uint16_t m_number;
                  const string *m_str;
                  uint16_t m_spaceX;
                  uint16_t m_spaceY;
                  uint16_t m_column;
                  int m_touched;   // number for button initially touched-color
                  sFONT *m_fonts;
                  uint32_t m_textColor; //         = GuiBase::ENUM_TEXT,
                  uint32_t m_backColor;//         = GuiBase::ENUM_BACK,
                  uint32_t m_createdColor;//      = GuiBase::ENUM_CREATED,
                  uint32_t m_touchedColor;//      = GuiBase::ENUM_TOUCHED,
                  uint32_t m_inactiveColor;//     = GuiBase::ENUM_INACTIVE,
                  uint32_t m_inactiveTextColor;// = GuiBase::ENUM_INACTIVE_TEXT      
       
};
}

#endif //F746_BUTTON_GROUP_OL_HPP

